/**
 * Introduction
 *
 * @title ROV - Easy applications from C
 *
 * @copyright Jason Tribbeck / 7th ARM 2002
 *
 * @authors Jason Tribbeck
 *
 * @file dir.h
 *
 * @type helper
 *
 * @description
 *
 * omemcpy performs an overlapping memcpy function.
 */

#ifndef __rov_omemcpy
#define __rov_omemcpy


#ifdef __cplusplus
extern "C"
{
#endif

/**
 * Identical to memcpy, except deals with overlapping areas of memory
 * @param dst the destination pointer.
 * @param src the source pointer.
 * @param len the amount to copy.
 */
int omemcpy(void *dst,
	    void *src,
	    int len);


#ifdef __cplusplus
}
#endif

#endif
